%define upstream_name	 Set-Object
%define upstream_version 1.42

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Set of objects and strings in Perl
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Set/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
This module implements a set of objects, that is, an unordered collection of
objects without duplication.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# should not have been included
# http://rt.cpan.org/Ticket/Display.html?id=37799
rm -f t/misc/threads.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{perl_vendorarch}/Set
%{perl_vendorarch}/auto/Set
%{_mandir}/*/*


%changelog
* Wed Nov 29 2023 tv <tv> 1.420.0-4.mga10
+ Revision: 2011450
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.420.0-3.mga9
+ Revision: 1862414
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.420.0-2.mga9
+ Revision: 1796842
- Mageia 9 Mass Rebuild

* Tue Jan 25 2022 tv <tv> 1.420.0-1.mga9
+ Revision: 1769706
- update to 1.42

* Mon May 24 2021 umeabot <umeabot> 1.410.0-2.mga9
+ Revision: 1727070
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 1.410.0-1.mga9
+ Revision: 1690364
- update to 1.41

* Wed Jun 17 2020 umeabot <umeabot> 1.400.0-3.mga8
+ Revision: 1595260
- Rebuild for perl 5.32

* Wed Feb 19 2020 umeabot <umeabot> 1.400.0-2.mga8
+ Revision: 1543461
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 tv <tv> 1.400.0-1.mga8
+ Revision: 1481682
- update to 1.40
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.390.0-4.mga8
+ Revision: 1433894
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.390.0-3.mga7
+ Revision: 1293756
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.390.0-2.mga7
+ Revision: 1250126
- Rebuild for perl 5.28

* Mon Jan 08 2018 shlomif <shlomif> 1.390.0-1.mga7
+ Revision: 1191680
- update to 1.39

* Sun Dec 10 2017 shlomif <shlomif> 1.380.0-1.mga7
+ Revision: 1182059
- update to 1.38

* Tue Oct 03 2017 tv <tv> 1.350.0-7.mga7
+ Revision: 1166479
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.350.0-6.mga7
+ Revision: 1149141
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.350.0-5.mga7
+ Revision: 1126447
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.350.0-4.mga6
+ Revision: 1033036
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.350.0-3.mga6
+ Revision: 957955
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.350.0-2.mga6
+ Revision: 845264
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.350.0-1.mga6
+ Revision: 841705
- update to 1.35

* Wed Oct 15 2014 umeabot <umeabot> 1.340.0-4.mga5
+ Revision: 744033
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.340.0-3.mga5
+ Revision: 686192
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.340.0-2.mga5
+ Revision: 631664
- Rebuild for perl 5.20

* Sat Feb 08 2014 sander85 <sander85> 1.340.0-1.mga5
+ Revision: 586667
- update to 1.34

* Sat Oct 19 2013 umeabot <umeabot> 1.310.0-3.mga4
+ Revision: 525055
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.310.0-2.mga4
+ Revision: 431743
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.310.0-1.mga4
+ Revision: 431300
- update to 1.31
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-4.mga3
+ Revision: 372610
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.280.0-3.mga3
+ Revision: 251098
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.280.0-2.mga2
+ Revision: 104960
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.280.0-1.mga1
+ Revision: 31145
- mageia rebuild
- imported package perl-Set-Object

